<?php 
defined('CONF_URL_APP') or die;

c_include('widget','helpers/widgetHelper');
if (!class_exists('Carrito')){
	e_include('ext_shop/class/carrito');
}
e_include('ext_shop/class/producto','ext_shop/class/categoriaProducto','ext_comentarios/class/comentario','ext_shop/class/envio','ext_shop/class/metodoEnvio','ext_shop/class/envio/tarifaPlana','ext_shop/class/envioShop','ext_shop/class/impuestoShop','ext_shop/class/impuestoTarifa');

abstract class shopCartHelper {
	public static function getParametros($w=null){
		if (empty($w))
			return false;
			
		$params = Helpers::toArray(json_decode($w->params));
			
		return $params;
	}
	
	public static function getConfig(){
		$config_shop = array();
		$config_shop = App::getConfigValue('ext_shop');
		
		return $config_shop;
	}
	
	public static function getCesta($p){
		global $shop;
		global $carrito_shop;
		
		if (is_object($shop->carrito)){
			return $shop->carrito;
		} elseif (is_object($carrito_shop)){
			return $carrito_shop;
		} else {
			$carrito_shop = new Carrito();
			$carrito_shop->calcular_totales();
		}

		return $carrito_shop;
	}
	
	public static function getTotales($cesta, $config_shop){
		global $carrito_shop;
		
		if (!$carrito_shop instanceof Carrito)
			$carrito_shop = new Carrito();
				
		$totales = array("impuesto_cesta" => $carrito_shop->get_impuestos_total(), "subtotal_cesta" => $carrito_shop->get_total_ex_impuesto(), "total_cesta" => $carrito_shop->get_total(), "cesta" => $cesta);
		
		return $totales;
		
	}
}

?>