<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Site
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<div class="panel panel-default wdg_shop_cart">
<div class="panel-heading">
  <h4 class="panel-title"><?php echo SistemaIdioma::Imprimir($widget->titulo);?></h4>
  </div>
  <div class="panel-body">
  <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?>
  <ul class="nav nav-list">
    <?php foreach ( $cesta->get_carrito() as $cart_item_key => $values ) {
				$producto = $values['data'];
				if ( $producto->id!="" && $values['cantidad'] > 0 ) {
					?>
    <li>
      <?php /*?><div class="date"> <span><?php echo utf8_encode(strftime("%b", strtotime($evento->fecha_inicio))); ?>	</span>
        <h1><?php echo utf8_encode(strftime("%d", strtotime($evento->fecha_inicio))); ?></h1>
      </div><?php */?>
      <div class="desc" style="padding-left: 0px;">
        <div class="left" style="width: 100%;"> <a href="<?php echo $producto->getLink();?>"><img src="<?php echo $producto->getimagen_destacada(50,50);?>" class="inp" alt="<?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?>" style="float: left;" /></a>
          <h5 class="list-item" style="margin-bottom: 0px;"><a href="<?php echo $producto->getLink();?>"><?php echo htmlentities(Sistemaidioma::Imprimir($producto->nombre));?></a></h5>
          <p class="list-item"><small class="inquantity">(x<?php echo $values['cantidad'];?>)</small> <b class="inprice"><?php echo Helpers::Importe($producto->getprecio(true, 'actual', true));?> &euro;
            <?php if ($producto->getprecio_rebajado(true) > 0){?>
            <small class="oldprice">(<?php echo Helpers::Importe($producto->getprecio(true, 'no_rebajado', true));?> &euro;)</small>
            <?php } ?>
            </b></p>
        </div>
        <?php /*?><a href="#" class="buttonone right">TICKETS</a><?php */?>
      </div>
      <hr />
    </li>
    <?php } } ?>
    
    <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?>
    <li class="pricedet"> <dl class="dl-horizontal">
    
    <dt><?php echo __('Sub-Total');?>:</small></dt>
        <dd style="text-align:right;"><?php echo Helpers::Importe($cesta->subtotal);?> &euro;</dd>
    
    <?php if ($cesta->mostrar_envio() == true && $cesta->necesita_envio() == true){?>
    <dt><?php echo SistemaIdioma::Imprimir($cesta->envio_nombre);?>:</dt>
      <dd style="text-align:right;"><?php echo Helpers::Importe($cesta->envio_total + $cesta->envio_impuesto_total);?> &euro;</dd>
    <?php } ?>
    
    <?php if (is_array($cesta->reglas_aplicadas) && sizeof($cesta->reglas_aplicadas) > 0){?>
    <dt><b><?php echo __('Promociones aplicadas');?></b><br />
<?php foreach ($cesta->reglas_aplicadas as $promo){?>
	<i><b><?php echo SistemaIdioma::Imprimir($promo['nombre']);?></b> <small><?php echo strip_tags($promo['descripcion']);?></small></i><br />
<?php } ?></dt>
    <dd style="text-align:right;">-<?php echo Helpers::Importe($cesta->descuento_total);?> &euro;</dd>

    <?php } ?>
    
    <hr class="header-cart__divider">
        <div class="header-cart__subtotal-box" align="right"> <h4><span class="header-cart__subtotal"><?php echo __('Total');?></span> <span class="header-cart__subtotal-price" ><?php echo Helpers::Importe($cesta->total);?> &euro;</span> </h4></div>
    </dl> <hr /> </li>
    <?php } ?>
  </ul>
  <?php } else { ?>
  <ul class="nav nav-list">
    <li><?php echo __('No hay productos en la cesta');?> <hr /></li>
  </ul>
  <?php }?>
  <a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'), 1);?>" class="btn btn-primary btn-mini"><?php echo __('VER MÁS PRODUCTOS');?></a> 
 <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta');?>" class="btn btn-primary btn-mini pull-right"><?php echo __('IR A LA CESTA');?></a>
 </div>
</div>