<?php
defined('CONF_URL_APP') or die;
/**
 * @version		$Id: default.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Mideas.Site
 * @subpackage	mod_custom
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
?>

  <ul class="nav navbar-nav navbar-right wdg_shop_cart">
    <li> <a class="dropdown-toggle " href="#" data-toggle="dropdown"> <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?><span class="badge badge-important"><?php echo sizeof( $cesta->get_carrito() ); ?></span> <?php } ?><i class="fa fa-shopping-cart" title="<?php echo SistemaIdioma::Imprimir($widget->titulo);?>"> </i> <strong class="caret"></strong></a>
      <div class="dropdown-menu pull-right" style="padding: 15px;">
        <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {?>
        <ul class="nav ">
          <?php foreach ( $cesta->get_carrito() as $cart_item_key => $values ) {
				$producto = $values['data'];
				
				$producto = new Producto();
				$producto->setid($values['product_id']);
				$producto = $producto->BuscarId();
				
				if (!empty($values['variation_id']))
					$producto = $cesta->parseaVariacion($producto, $values['variation_id']);
				
				$atributos = '';
				if (!empty($values["variation"]) && is_array($values["variation"])){
					$tmp_str='';
					foreach ($values["variation"] as $k=>$v){
						$tmp_str .= $k.': '.$v.'<br>';
					}
					$atributos = $tmp_str;
				}
				
				//$precio_total_producto = $producto->getprecio(true,'actual',true) * (int) $values['cantidad'];
				$precio_total_producto = ((float) $values['linea_total'] + (float) $values['linea_impuesto'] ) * (int) $values['cantidad'];
				
				$total_cesta += $precio_total_producto;
	
				if ( $producto->id!="" && $values['cantidad'] > 0 ) {
			?>
          <li>
            <div class="desc" style="padding-left: 0px;">
              <div class="left" style="width: 100%;"> <a href="<?php echo $producto->getLink();?>"><img src="<?php echo $producto->getimagen_destacada(50,50);?>" class="inp" alt="<?php echo Sistemaidioma::Imprimir($producto->nombre);?>" style="float: left; width:auto; margin-right:5px" /></a>
                <h5 class="list-item" style="margin-bottom: 0px; padding-bottom:0px;"><a href="<?php echo $producto->getLink();?>"><?php echo Sistemaidioma::Imprimir($producto->nombre);?></a></h5>
                <p class="list-item"><small class="inquantity">(x<?php echo $values['cantidad'];?>)</small> <b class="inprice"><?php echo Helpers::Importe($producto->getprecio(true,'actual',true));?> &euro;
        <?php if ($producto->getprecio_rebajado(true) > 0){?>
        <span class="price_stroke"><?php echo Helpers::Importe($producto->getprecio(false,'actual',true));?> &euro;</span>
        <?php } ?>
                  </b></p>
              </div>
              <?php /*?><a href="#" class="buttonone right">TICKETS</a><?php */?>
            </div>
            <hr />
          </li>
          <?php } } ?>
          <?php if ( sizeof( $cesta->get_carrito() ) > 0 ) {  ?>
          <li class="pricedet" style="text-align:right;">
      <dl class="dl-horizontal">
        <dt><?php echo __('Sub-Total');?>:</small></dt>
        <dd><?php echo Helpers::Importe($cesta->subtotal);?> &euro;</dd>
        <?php /*?><?php if ($config_shop['impuestos']['activar_impuestos'] == '1' && $config_shop['impuestos']['mostrar_impuestos_carrito'] == '1'){
			$tarifa_obj = $cesta->impuesto->get_tarifas('estandar');
			?>
        <dt> <?php echo SistemaIdioma::Imprimir($tarifa_obj[0]['nombre']);?>:</dt>
        <dd><?php echo Helpers::Importe($cesta->impuesto_total);?> &euro;</dd>
        <?php } ?><?php */?>
        
        <?php if ($cesta->mostrar_envio() == true && $cesta->necesita_envio() == true){?>
    <dt><?php echo SistemaIdioma::Imprimir($cesta->envio_nombre);?>:</dt>
      <dd><?php echo Helpers::Importe($cesta->envio_total + $cesta->envio_impuesto_total);?> &euro;</dd>
    <?php } ?>
    
    <?php if (is_array($cesta->reglas_aplicadas) && sizeof($cesta->reglas_aplicadas) > 0){?>
    <dt><b><?php echo __('Promociones aplicadas');?></b><br />
<?php foreach ($cesta->reglas_aplicadas as $promo){?>
	<i><b><?php echo SistemaIdioma::Imprimir($promo['nombre']);?></b> <small><?php echo strip_tags($promo['descripcion']);?></small></i><br />
<?php } ?></dt>
    <dd>-<?php echo Helpers::Importe($cesta->descuento_total);?> &euro;</dd>

    <?php } ?>
        
        <hr class="header-cart__divider">
        <div class="header-cart__subtotal-box" align="right"> <h4><span class="header-cart__subtotal"><?php echo __('Total');?></span> <span class="header-cart__subtotal-price" ><?php echo Helpers::Importe($cesta->total);?> &euro;</span> </h4></div>
      </dl>
    <?php /*?>  <a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'), 1);?>" class="btn btn-darker btn-mini"><?php echo __('VER MÁS PRODUCTOS');?></a>
       <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta');?>" class="btn btn-darker btn-mini pull-right"><?php echo __('IR A LA CESTA');?></a><?php */?>
  
          <?php } ?>
        </ul>
        <?php } else { ?>
        <ul class="nav nav-list">
          <li><?php echo __('No hay productos en la cesta');?>
            <hr />
          </li>
        </ul>
        <?php }?>
        <div align="center"> <a href="<?php echo Helpers::resolveLink(false,'ext_shop','categoria_productos',__('Tienda'), 1);?>" class="btn btn-xs btn-default btn-block"><?php echo __('VER TODOS LOS PRODUCTOS');?></a> <a href="<?php echo Helpers::resolveLink(false,'ext_shop','cesta');?>" class="btn btn-default  btn-xs btn-block" ><?php echo __('IR A LA CESTA');?></a>
        <br clear="all" />
         </div>
      </div>
    </li>
  </ul>